[build-system]
requires = ["setuptools>=61.0", "wheel"]  # Specifies build tools to use
build-backend = "setuptools.build_meta"

[project]
name = "amq_adapter"
version = "0.2.34"
description = "The Python implementation of the AMQ Adapter for CleverMicro"
readme = "README.md"
authors = [
    { name = "Stanislav Hejny", email = "stanislav.hejny@cleverthis.com" }
]
license = { text = "Apache License 2.0" }
urls = { Homepage = "https://git.cleverthis.com/clevermicro/amq-adapter-python" }
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent",
]
requires-python = ">=3.11"
dependencies = [
    "aio-pika",
    "aiohttp",
    "fastapi",
    "opentelemetry-api",
    "opentelemetry-sdk",
    "opentelemetry-exporter-otlp",
    "opentelemetry-exporter-prometheus",
    "opentelemetry-instrumentation-pika",
    "pika",
    "psutil",
    "python_multipart"
]

[tool.setuptools.packages.find]
where = ["."]
include = ["amqp*"]

[tool.black]
line-length = 100

[tool.pytest.ini_options]
asyncio_default_fixture_loop_scope = "module"

[project.optional-dependencies]
dev = [
    "pytest>=7.0",
    "pytest-cov>=4.0",
    "pytest-asyncio",
    "build",
    "twine",
    "black",
    "isort",
    "flake8",
    "pre-commit",
    "pylint"
]
